000010*@M              MAIN
000020 IDENTIFICATION DIVISION.
000030 PROGRAM-ID. FOLDTEST.
000040 DATE-COMPILED.
000050*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000060 ENVIRONMENT DIVISION.
000070*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000080 CONFIGURATION SECTION.
000090 SOURCE-COMPUTER. IBM-PC.
000100 OBJECT-COMPUTER. IBM-PC.
000110*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000120 DATA DIVISION.
000130*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000140 WORKING-STORAGE SECTION.
000150 01  V--VERSION-LEVEL                 PIC 9(3) VALUE 12.
000160*
000170* ------------------------: Copy a main panel
000180         COPY FOLDMAIN.
000190*
000200* ------------------------: Copy the panel for the FOLDPATH
000210         COPY FOLDPATH.
000220*
000230         COPY WIN32API.
000240         COPY GFLDRPTH.
000250 01  VIEW-TYPE REDEFINES GFP-TYPE-OF-DIRECTORY
000260                                      PIC 9(9) COMP-5.
000270*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000280 PROCEDURE DIVISION.
000290*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000300*
000310     PERFORM 0101-INITIALIZE-GS.
000320     SET APPDATA-ON TO TRUE
000330     MOVE SPACE TO DIRNAME.
000340     MOVE FOLDPATH-COLOR-OK TO GOODIES-C.
000350     MOVE FOLDPATH-COLOR-BAD TO BADIES-C.
000360*
000370* ------------------------: Display the test panel.
000380*
000390     PERFORM WITH TEST AFTER
000400           UNTIL FOLDPATH-EVENT-CLOSE-WINDOW
000410           OR FOLDPATH-EVENT-CLOSE-AND-STOP
000420           OR FOLDPATH-CANCEL
000430*
000440       CALL 'GS' USING FOLDPATH-1
000450                       FOLDPATH-2
000460                       FOLDPATH-3
000470                       FOLDPATH-4
000480*
000490       IF FOLDPATH-FETCHIT
000500         EVALUATE TRUE
000510*
000520           WHEN ADMINTOOLS-ON
000530             SET GFP-ADMINTOOLS TO TRUE
000540           WHEN ALTSTARTUP-ON
000550             SET GFP-ALTSTARTUP TO TRUE
000560           WHEN APPDATA-ON
000570             SET GFP-APPDATA TO TRUE
000580           WHEN BITBUCKET-ON
000590             SET GFP-BITBUCKET TO TRUE
000600           WHEN CDBURN-AREA-ON
000610             SET GFP-CDBURN-AREA TO TRUE
000620           WHEN COMMON-ADMINTOOLS-ON
000630             SET GFP-COMMON-ADMINTOOLS TO TRUE
000640           WHEN COMMON-ALTSTARTUP-ON
000650             SET GFP-COMMON-ALTSTARTUP TO TRUE
000660           WHEN COMMON-APPDATA-ON
000670             SET GFP-COMMON-APPDATA TO TRUE
000680           WHEN COMMON-DESKTOPDIRECTORY-ON
000690             SET GFP-COMMON-DESKTOPDIRECTORY TO TRUE
000700           WHEN COMMON-DOCUMENTS-ON
000710             SET GFP-COMMON-DOCUMENTS TO TRUE
000720           WHEN COMMON-FAVORITES-ON
000730             SET GFP-COMMON-FAVORITES TO TRUE
000740           WHEN COMMON-MUSIC-ON
000750             SET GFP-COMMON-MUSIC TO TRUE
000760           WHEN COMMON-PICTURES-ON
000770             SET GFP-COMMON-PICTURES TO TRUE
000780           WHEN COMMON-PROGRAMS-ON
000790             SET GFP-COMMON-PROGRAMS TO TRUE
000800           WHEN COMMON-STARTMENU-ON
000810             SET GFP-COMMON-STARTMENU TO TRUE
000820           WHEN COMMON-STARTUP-ON
000830             SET GFP-COMMON-STARTUP TO TRUE
000840           WHEN COMMON-TEMPLATES-ON
000850             SET GFP-COMMON-TEMPLATES TO TRUE
000860           WHEN COMMON-VIDEO-ON
000870             SET GFP-COMMON-VIDEO TO TRUE
000880           WHEN CONTROLZ-ON
000890             SET GFP-CONTROLS TO TRUE
000900           WHEN COOKIES-ON
000910             SET GFP-COOKIES TO TRUE
000920           WHEN DESKTOP-ON
000930             SET GFP-DESKTOP TO TRUE
000940           WHEN DESKTOPDIRECTORY-ON
000950             SET GFP-DESKTOPDIRECTORY TO TRUE
000960           WHEN DRIVES-ON
000970             SET GFP-DRIVES TO TRUE
000980           WHEN FAVORITES-ON
000990             SET GFP-FAVORITES TO TRUE
001000           WHEN FONTS-ON
001010             SET GFP-FONTS TO TRUE
001020           WHEN HISTORY-ON
001030             SET GFP-HISTORY TO TRUE
001040           WHEN INTERNET-ON
001050             SET GFP-INTERNET TO TRUE
001060           WHEN INTERNET-CACHE-ON
001070             SET GFP-INTERNET-CACHE TO TRUE
001080           WHEN LOCAL-APPDATA-ON
001090             SET GFP-LOCAL-APPDATA TO TRUE
001100           WHEN MYDOCUMENTS-ON
001110             SET GFP-MYDOCUMENTS TO TRUE
001120           WHEN MYMUSIC-ON
001130             SET GFP-MYMUSIC TO TRUE
001140           WHEN MYPICTURES-ON
001150             SET GFP-MYPICTURES TO TRUE
001160           WHEN MYVIDEO-ON
001170             SET GFP-MYVIDEO TO TRUE
001180           WHEN NETHOOD-ON
001190             SET GFP-NETHOOD TO TRUE
001200           WHEN NETWORK-ON
001210             SET GFP-NETWORK TO TRUE
001220           WHEN PERSONAL-ON
001230             SET GFP-PERSONAL TO TRUE
001240           WHEN PRINTERS-ON
001250             SET GFP-PRINTERS TO TRUE
001260           WHEN PRINTHOOD-ON
001270             SET GFP-PRINTHOOD TO TRUE
001280           WHEN PROFILE-ON
001290             SET GFP-PROFILE TO TRUE
001300           WHEN PROFILES-ON
001310             SET GFP-PROFILES TO TRUE
001320           WHEN PROGRAM-FILES-ON
001330             SET GFP-PROGRAM-FILES TO TRUE
001340           WHEN PROGRAM-FILES-COMMON-ON
001350             SET GFP-PROGRAM-FILES-COMMON TO TRUE
001360           WHEN PROGRAMS-ON
001370             SET GFP-PROGRAMS TO TRUE
001380           WHEN RECENT-ON
001390             SET GFP-RECENT TO TRUE
001400           WHEN SENDTO-ON
001410             SET GFP-SENDTO TO TRUE
001420           WHEN STARTMENU-ON
001430             SET GFP-STARTMENU TO TRUE
001440           WHEN STARTUP-ON
001450             SET GFP-STARTUP TO TRUE
001460           WHEN SYSTEM-ON
001470             SET GFP-SYSTEM TO TRUE
001480           WHEN TEMPLATES-ON
001490             SET GFP-TEMPLATES TO TRUE
001500           WHEN WINDOWS-ON
001510             SET GFP-WINDOWS TO TRUE
001520*
001530         END-EVALUATE
001540*
001550         SET API-GETFOLDERPATH TO TRUE
001560         MOVE LOW-VALUES TO DIRNAME GFP-DIRECTORY-NAME
001570         CALL 'GSWINAPI' USING WIN32API-PARMS
001580                               GFP-DIRECTORY-NAME
001590                               GFP-TYPE-OF-DIRECTORY
001600                               WIN32API-C
001610                               WIN32API-D
001620                               WIN32API-E
001630                               WIN32API-F
001640*
001650* ------------------------: If function failed,
001660*                         :   display a textual error message.
001670*
001680         MOVE GFP-DIRECTORY-NAME TO DIRNAME
001690         IF WIN32API-FAILED
001700           MOVE WIN32API-ERROR-TEXT TO FOLDPATH-MESSAGE-TEXT
001710           SET FOLDPATH-MESSAGE-BAR-BEEP TO TRUE
001720           MOVE ZERO TO DIRNAME-C
001730         ELSE
001740           IF WIN32API-RC = 2
001750             MOVE 'Directory does not exist...!' TO
001760                 FOLDPATH-MESSAGE-TEXT
001770             SET FOLDPATH-MESSAGE-BAR-BEEP TO TRUE
001780           END-IF
001790           MOVE FOLDPATH-COLOR-OK TO DIRNAME-C
001800           IF GFP-BITBUCKET
001810                 OR GFP-CONTROLS
001820                 OR GFP-DESKTOP
001830                 OR GFP-DRIVES
001840                 OR GFP-FONTS
001850                 OR GFP-INTERNET
001860                 OR GFP-MYDOCUMENTS
001870                 OR GFP-NETWORK
001880                 OR GFP-PRINTERS
001890             MOVE FOLDPATH-COLOR-BAD TO DIRNAME-C
001900           END-IF
001910         END-IF
001920*
001930       END-IF
001940*
001950     END-PERFORM.
001960*
001970* ------------------------: Close the main before doing a STOP RUN
001980*
001990     SET FOLDMAIN-DO-CLOSE TO TRUE.
002000     CALL 'GS' USING FOLDMAIN-1
002010                     FOLDMAIN-2
002020                     FOLDMAIN-3
002030                     FOLDMAIN-4.
002040     STOP RUN.
002050*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
002060 0100-GS-UTILITY SECTION.
002070*
002080 0101-INITIALIZE-GS.
002090*                         :---------------------------------------
002100* ------------------------: Open the application window (the
002110*                         : container for this application)
002120*                         :---------------------------------------
002130*
002140     CALL 'GS' USING FOLDMAIN-1
002150                     FOLDMAIN-2
002160                     FOLDMAIN-3
002170                     FOLDMAIN-4.
